systraq (20160803-1+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * debian/20systraq: Invert logic in order to exit successfully in case
     /e/s/Makefile is missing.  (Closes: #867277)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Oct 2018 15:00:06 +0200

systraq (20160803-1) unstable; urgency=medium

  * New upstream release: The Pidjiguiti Release.
  * debian/control: add bsd-mailx | heirloom-mailx to Depends, since we call
    mailx.
  * debian/Makefile: get rid of "permission denied" error messages in apt
    runs; thanks Peter Bex on IRC for find(1) tutorial.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Wed, 03 Aug 2016 19:45:54 +0200

systraq (20160316-1) unstable; urgency=medium

  * New upstream release: The Sơn Mỹ Release.
  * debian/20systraq: pass -s flag to make in /etc/apt/apt.conf.d/20systraq:
    be more quiet.
  * debian/README.Debian, debian/control: adjusted: [Systraq] mails now sent
    weekly.
  * debian/control: add missing dependency make. Thanks Andreas Beckmann.
    Closes: #817764
  * debian/20systraq: do not assume make is installed.  Thanks Andreas Beckmann.
    Fixes: "dpkg hook fails after removal of systraq and make".

 -- Joost van Baal-Ilić <joostvb@debian.org>  Tue, 29 Mar 2016 12:50:11 +0200

systraq (20160303-1) unstable; urgency=low

  * New upstream release: The තංගල්ල Releasee.  (Missed: 20151218 - The חֲנֻכָּה
    Release, version 20150913 - The de Sy à My release, version 20151105 - The
    Blaak Release, version 20151214 - The Čhaŋšúška Wakpá Release)
    - debian/control: drop Build-Depends-Indep: jade, sgml-data, w3m,
      jadetex, docbook-dsssl, docbook-xml, docbook-xsl, openjade,
      xsltproc: upstream ships typesetted docs.
  * debian/changelog: honor upstream in version numbering: 20151105, not
    0.0.20151105.
  * debian/control: Standards updated from 3.9.5 to 3.9.7.
  * debian/control: Vcs: move from SVN to git (still at Alioth collab-maint).
  * debian/watch, debian/upstream/signing-key.asc: added.  Upstream key
    added as "gpg --armor --export-options export-minimal --export 0B86B067".
  * debian/TODO: added: semi private build instuctions
  * debian/README.Debian: fix spelling error (thanks lintian).
  * debian/copyright: fixed details (all files still GPL-2+).
  * debian/{20systraq,Makefile,install}: added: run make as debian-systraq in
    /etc/systraq after each dpkg run.  This should take care of making sure
    the list of systraq monitored files is kept up to date.  Thanks Geert
    Stappers for reminding me: I finally got to start fixing this 7 years old
    issue :)
  * debian/postinst: if needed, create /etc/systraq/filetraq.conf and
    /etc/systraq/filetraq.main.conf, writeable for debian-systraq.
  * debian/filetraq.tail.conf, debian/install: added
    /etc/systraq/filetraq.tail.conf .
  * debian/patches/{001_debian_systraq_user.diff,series}: removed,
    debian/cron.d: added, debian/control: changed.  No longer patch upstream
    installed cronjob files, but ship our own copy.  Upstream no longer
    installs a cronjob file.  Drop quilt from build dependencies.
  * debian/cron.d: use "@monthly", not "0 0 1 * *".
  * debian/cron.d: BACKWARDS INCOMPATIBLE CHANGE!  The output of command
    "systraq" is no longer sent daily, but _weekly_.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 03 Mar 2016 06:08:05 +0100

systraq (0.0.20081217-7) unstable; urgency=low

  * debian/postinst: create directory if needed before writing
    /var/lib/systraq/.forward.  Thanks Andreas Beckmann. Closes: #730407
    "fails to install, purge, and install again: postinst: cannot create
    /var/lib/systraq/.forward: Directory nonexistent".

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 08 Dec 2013 10:31:24 +0100

systraq (0.0.20081217-6) unstable; urgency=low

  * debian/postrm, debian/README.Debian: no longer tries to remove user
    account debian-systraq or group debian-systraq on package purge, as per
    current best practice.  Add note on how to do this manually to
    README.Debian.
  * debian/control: made myself maintainer, after ACK in private email from
    Laurent Fousse.  Laurent: thanks a lot for your work!

 -- Joost van Baal-Ilić <joostvb@debian.org>  Thu, 21 Nov 2013 10:31:17 +0100

systraq (0.0.20081217-5) unstable; urgency=low

  * Thanks Stijn van Dongen for bandwidth making this release possible.
  * debian/rules,postinst: install systraq_is_unconfigured in
    /etc/default/systraq.d/examples/,
    /usr/share/doc/systraq/examples/systraq_is_unconfigured is now a symlink.
    Thanks Andreas Beckmann. Closes: #710264 "systraq: postinst uses
    /usr/share/doc content (Policy 12.3)".
  * debian/control: Standards updated from 3.9.3 to 3.9.5.
  * debian/control: dm-upload-allowed is obsolete, removed.  Thanks lintian.
  * debian/TODO: added.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Mon, 18 Nov 2013 01:49:38 +0100

systraq (0.0.20081217-4) unstable; urgency=low

  * debian/postrm: make sure /var/lib/systraq ,
    /var/lib/systraq/{filetraq,.forward} are removed, even if deluser not
    available.  Thanks Andreas Beckmann.  (Closes: #657133)
  * debian/postrm: get rid of code dealing with pre-lenny installs: no
    longer try to deal with systraq user called systraq, no longer try
    to deal with md5sum-style installs.
  * debian/control: update my name.
  * debian/control: fold relationship fields for readability. 
  * debian/control: DM-Upload is now Allowed. 
  * debian/control: Standards updated from 3.9.1 to 3.9.3, no changes
    needed.
  * debian/copyright: converted to machine-readable format version 1.0.
  * debian/source/format: switch to dpkg-source 3.0 (quilt) format.
  * debian/rules: remove cdbs/1/rules/patchsys-quilt.mk: now handled by
    dpkg.

 -- Joost van Baal-Ilić <joostvb@debian.org>  Sun, 12 Aug 2012 03:49:43 +0200

systraq (0.0.20081217-3) unstable; urgency=low

  * debian/postrm: Don't rely on deluser --remove-home option to remove
    the debian-systraq user home directory. Thanks Julien Valroff for
    contributing an inspiring patch fixing this (in
    systraq 0.0.20081217-2.1).  (Closes: #606810)
  * debian/postinst: Ensure dpkg --compare-versions calls don't fail if
    the "most-recently-configured-version" argument is not passed to
    postinst.  Thanks Julien Valroff for contributing an inspiring
    patch fixing this (in systraq 0.0.20081217-2.1).
  * debian/TODO: remove: has been dealt with.
  * debian/README.source: remove: nothing substantial to say.

 -- Joost van Baal <joostvb@debian.org>  Sun, 13 Feb 2011 22:26:35 +0100

systraq (0.0.20081217-2) unstable; urgency=low

  * debian/postrm: don't fail hard if perl-modules not installed during
    package purge.  Thanks Lucas Nussbaum.  (closes: #604205).
  * debian/{compat,control}: change debhelper compat level from 4 to 7,
    no changes needed.
  * debian/control:  Standards updated from 3.8.0 to 3.9.1, no changes
    needed.

 -- Joost van Baal <joostvb@debian.org>  Sun, 21 Nov 2010 11:29:05 +0100

systraq (0.0.20081217-1+squeeze2) testing-proposed-updates; urgency=low

  * Thanks Mehdi Dogguy مهدي الدڤي for help with this release.
  * debian/postrm: don't fail hard if perl-modules not installed during
    package purge.  Thanks Lucas Nussbaum.  (closes: #604205).

 -- Joost van Baal <joostvb@debian.org>  Mon, 06 Dec 2010 11:21:57 +0100

systraq (0.0.20081217-1) unstable; urgency=low

  * New upstream release.
  * debian/NEWS: mention trick for suppressing cron upgrade reminder
    messages.

 -- Joost van Baal <joostvb@debian.org>  Wed, 17 Dec 2008 00:43:18 +0100

systraq (0.0.20081214-1) unstable; urgency=low

  * New upstream release (not uploaded to Debian).
  * debian/NEWS: added upgrade instructions.
  * debian/postinst: install systraq_is_not_upgraded if applicable.
  * debian/patches/001_debian_systraq_user.diff: update for new upstream:
    upstream now uses user "systraq_", not "systraq".
  * debian/postinst: Enable scripts ae-release, ah-uname and ck-mdstat, as
    supplied by 20081119, by getting rid of hardcoded list of systraq.d/AA-foo
    scripts.
  * debian/control: add Vcs-Browser and Vcs-Svn to source package.

 -- Joost van Baal <joostvb@debian.org>  Sat, 13 Dec 2008 01:49:26 +0100

systraq (0.0.20081119-1) unstable; urgency=low

  * New bleeding edge upstream release (not uploaded to Debian).
  * Use convenience package exim4, not exim4-daemon-light in depends.
    Thanks Andreas Henriksson.  (closes: #495839).
  * README.devel renamed to README.source in source package, following
    Debian practice.
  * debian/control: Standards updated from 3.7.3 to 3.8.0, no changes
    needed.

 -- Joost van Baal <joostvb@debian.org>  Sat, 13 Dec 2008 01:01:14 +0100

systraq (0.0.20070301-4) unstable; urgency=low

  * debian/patches/series, debian/patches/001_debian_systraq_user.diff:
    get rid of hardcoded -p0 in patches.  Thanks Raphael Hertzog.
    (closes: #485260).
  * debian/control:  Standards updated from 3.7.2 to 3.7.3, no changes
    needed.
  * debian/doc-base.manual: no longer register Systraq Manual in Apps/System:
    this doc-base section is obsolete.  Use System/Monitoring.
  * debian/control: move Homepage from pseudo-header to now supported
    regular field.

 -- Joost van Baal <joostvb@debian.org>  Thu, 26 Jun 2008 01:14:56 +0200

systraq (0.0.20070301-3) unstable; urgency=low

  * debian/postinst: make sure /var/lib/systraq/filetraq belongs to
    debian-systraq when created (closes: #433731).

 -- Joost van Baal <joostvb@debian.org>  Wed, 15 Aug 2007 19:08:28 +0200

systraq (0.0.20070301-2) unstable; urgency=low

  * Use --remove-home instead of --remove-all-files
    in postinst to speed things up (closes: #415410).

 -- Laurent Fousse <laurent@komite.net>  Sat, 24 Mar 2007 17:55:58 +0100

systraq (0.0.20070301-1) unstable; urgency=low

  * New upstream release.  Fixes bug: "systraq cannot handle filenames with
    spaces" (closes: #409777).
  * debian/README.Debian: add note on how to disable or add scripts to
    systraq.d.
  * debian/systraq.8: removed; now shipped with upstream.

 -- Joost van Baal <joostvb@debian.org>  Sun, 04 Mar 2007 12:24:20 +0100

systraq (0.0.20070118-2) unstable; urgency=low

  * debian/control: add homepage url.
  * debian/{rules,conffiles,postinst}: no longer have symlinks in
    /etc/systraq/systraq.d be part of the package (as
    conffiles), but create/maintain these in postinst.  We no longer rely
    on dpkg for managing these.  This caused systraq's daily reports to
    be empty, and the symlinks in /etc/systraq/systraq.d/ to be broken.
    (Closes: #408359).
  * debian/postinst: run under "set -e". only do real stuff when called with
    argument "configure".
  * debian/postinst: tweaked message from cron in
    /etc/systraq/systraq_is_unconfigured.

 -- Joost van Baal <joostvb@debian.org>  Fri, 02 Feb 2007 11:51:35 +0100

systraq (0.0.20070118-1) unstable; urgency=low

  * New upstream release.  Fixes bug: "systraq cron job is noisy after systraq
    is removed but not purged" (closes: #406149).
  * debian/dirs: removed: upstream Makefile creates all needed dirs.
  * debian/patches/{series,001_debian_systraq_user.diff},
    debian/{control,rules}: manage our patch on /etc/cron.d/systraq
    using quilt, so that it can be maintained using svn.
  * debian/rules: install arch-independent scripts in /usr/share/systraq,
    not /usr/lib.
  * debian/rules: no longer installs upstream changelog as two files.
  * debian/control: Build-Depend on debhelper (>= 4.1.0): current cdbs needs
    that.
  * debian/doc-base.manual: added: register systraq manual using doc-base.

 -- Joost van Baal <joostvb@debian.org>  Thu, 18 Jan 2007 15:23:52 +0100

systraq (0.0.20050213-8) unstable; urgency=low

  * debian/postrm: do not assume the non-essential adduser package is
    installed at package purge time (closes: #398538).
  * debian/control: added myself to Uploaders, after ACK from Laurent
    (see Bug#398538).
  * debian/control: Standards updated, no changes needed.
  * debian/control: cdbs and debhelper moved from Build-Depends-Indep to
    Build-Depends (thanks lintian).
  * debian/copyright: New FSF snailmail address.

 -- Joost van Baal <joostvb@debian.org>  Sun, 19 Nov 2006 13:06:51 +0100

systraq (0.0.20050213-7) unstable; urgency=low

  * Changed packaging to use cdbs.
  * Set correct ownership of /var/lib/systraq/.forward on install
    (closes: #329282).
  * Added note about possible email delivery failures in README.Debian.

 -- Laurent Fousse <laurent@komite.net>  Tue, 27 Sep 2005 17:28:57 +0200

systraq (0.0.20050213-6) unstable; urgency=low

  * Changed one remaining "systraq" to "debian-systraq" in the cron file,
    could cause email delivery to fail.
  * Modified postinst to not warn about the old username if the new username
    is already in use.
  * Updated Standards-Version to 3.6.2, no change needed.

 -- Laurent Fousse <laurent@komite.net>  Thu, 11 Aug 2005 11:30:11 +0200

systraq (0.0.20050213-5) unstable; urgency=low

  * The new systraq username is now `debian-systraq'. Now we can do the right
    thing on purge (closes: #315683).

 -- Laurent Fousse <laurent@komite.net>  Fri, 29 Jul 2005 15:11:56 +0200

systraq (0.0.20050213-4) unstable; urgency=low

  * Tagged files in /etc/systaq/systraq.d as conffiles. Closes: #297531.

 -- Laurent Fousse <laurent@komite.net>  Tue,  1 Mar 2005 12:36:16 +0100

systraq (0.0.20050213-3) unstable; urgency=low

  * systraq_is_unconfigured should only be created if systraq *is*
    unconfigured. This is now fixed.

 -- Laurent Fousse <laurent@komite.net>  Sun, 13 Feb 2005 21:18:36 +0100

systraq (0.0.20050213-2) unstable; urgency=low

  * Install /etc/systraq/systraq_is_unconfigured as it is no longer
    installed by upstream's makefile.

 -- Laurent Fousse <laurent@komite.net>  Sun, 13 Feb 2005 20:42:14 +0100

systraq (0.0.20050213-1) unstable; urgency=low

  * New upstream release.

 -- Laurent Fousse <laurent@komite.net>  Sun, 13 Feb 2005 18:11:52 +0100

systraq (0.0.20050209-1) unstable; urgency=low

  * New upstream release.
    + better fix for hourly cron mail annoyance (closes: #289791).
  * Use local DTD for documentation validation (closes: #291619).

 -- Laurent Fousse <laurent@komite.net>  Fri, 11 Feb 2005 16:16:00 +0100

systraq (0.0.20041118-2) unstable; urgency=low

  * Install a working yet minimal configuration so that cronjobs don't
    yell at you (closes: #289791).

 -- Laurent Fousse <laurent@komite.net>  Tue, 11 Jan 2005 12:15:23 +0100

systraq (0.0.20041118-1) unstable; urgency=low

  * First actual debian upload.
  * Thanks Joost for the packaging help.

 -- Laurent Fousse <laurent@komite.net>  Wed,  8 Dec 2004 21:24:07 +0100

systraq (0.0.20041118-0.3) unstable; urgency=low

  * Non-maintainer build.
  * postinst: fix typo.

 -- Joost van Baal <joostvb@debian.org>  Thu, 18 Nov 2004 22:19:20 +0100

systraq (0.0.20041118-0.2) unstable; urgency=low

  * Non-maintainer build.
  * postinst: Do something sane when systraq homedirectory or group is
    missing from the system.  This likely happens on systems where systraq
    has been installed from the tarball.
  * rules: clean up comments.
  * This version is not to be uploaded to the Debian archive.

 -- Joost van Baal <joostvb@debian.org>  Thu, 18 Nov 2004 22:10:23 +0100

systraq (0.0.20041118-0.1) unstable; urgency=low

  * Non-maintainer build.
  * New upstream release.
  * etc/systraq.in: don't name the systraq user "debian-systraq" but just
    "systraq".  This patch to upstream is no longer needed.
  * postinst: systraq user called systraq.  Made the adduser call quiet.
    No longer edit /etc/aliases, but create ~systraq/.forward: less
    intrusive.  Don't try to create a filetraq.conf.  (No stuff is removed
    from postinst, I've just commented it out.)
  * TODO: added
  * This version is not published.

 -- Joost van Baal <joostvb@debian.org>  Thu, 18 Nov 2004 21:42:57 +0100

systraq (0.0.20041015.cvs.9-1) unstable; urgency=low

  * New upstream release

 -- Laurent Fousse <laurent@komite.net>  Mon,  1 Nov 2004 21:54:19 +0100

systraq (0.0.20041015.cvs.7-1) unstable; urgency=low

  * New upstream release.

 -- Laurent Fousse <laurent@komite.net>  Fri, 15 Oct 2004 12:15:28 +0200

systraq (0.0.20040804-1) unstable; urgency=low

  * Initial Release (closes: #276627).

 -- Laurent Fousse <laurent@komite.net>  Tue, 12 Oct 2004 17:51:59 +0200

